%define name normalize
%define version 0.7.7
%define release %mkrel 5

# --with xmms, default off
%bcond_with	xmms

Summary:   A tool for adjusting the volume of wave files
Name:      %{name}
Version:   %{version}
Release:   %{release}
Source0:   %{name}-%{version}.tar.bz2
License:   GPL
URL:	   http://normalize.nongnu.org/
Group:     Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
%if %with xmms
BuildRequires: xmms-devel
%endif
BuildRequires: audiofile-devel
BuildRequires: mad-devel
BuildRequires: gettext-devel
BuildRequires: automake1.8 libtool autoconf2.5

%description
normalize is an overly complicated tool for adjusting the volume of
wave files to a standard volume level.  This is useful for things like
creating mp3 mixes, where different recording levels on different
albums can cause the volume to vary greatly from song to song.

%prep
rm -rf $RPM_BUILD_ROOT    

%setup -q

%build
touch ./AUTHORS ./ABOUT-NLS ./ChangeLog
%configure2_5x --with-audiofile \
%if %with xmms
	--enable-xmms
%else
	--disable-xmms
%endif
perl -pi -e 's/mkinstalldirs\s+=.*/mkinstalldirs = mkdir -p /' po/Makefile
%make

%install
rm -rf %buildroot
%makeinstall_std
%{find_lang} %{name}
rm -f %buildroot%_libdir/xmms/Effect/librva.la

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README NEWS THANKS TODO
%_bindir/*
%_mandir/man1/normalize*
%if %with xmms
%_libdir/xmms/Effect/librva.so
%endif



%changelog
* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.7.7-5mdv2009.0
+ Revision: 223347
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.7.7-3mdv2008.1
+ Revision: 153285
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Aug 04 2007 Anssi Hannula <anssi@mandriva.org> 0.7.7-2mdv2008.0
+ Revision: 58960
- add xmms build option for the xmms plugin, disable by default


* Tue Jan 23 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.7.7-1mdv2007.0
+ Revision: 112550
- New version 0.7.7

* Fri Jan 12 2007 Götz Waschk <waschk@mandriva.org> 0.7.6-7mdv2007.1
+ Revision: 108135
- Import normalize

* Fri Jan 12 2007 Gtz Waschk <waschk@mandriva.org> 0.7.6-7mdv2007.1
- rebuild

* Sun Oct 02 2005 Couriousous <couriousous@mandriva.org> 0.7.6-7mdk
- Try to fix x86_64 build ( aka autotools breakage )

* Wed Oct 27 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.7.6-6mdk
- rebuild

